# $Id$
# Authority: matthias

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Python module that encapsulates the access for the serial port
Name: python-serial
Version: 2.2
Release: 1.2.fc4.1
License: PSF - see LICENSE.txt
Group: System Environment/Libraries
URL: http://pyserial.sourceforge.net/
Source: http://dl.sf.net/pyserial/pyserial-%{version}.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: python-abi = %(%{__python} -c "import sys; print sys.version[:3]")
BuildArch: noarch

%description
This module encapsulates the access for the serial port in Python.


%prep
%setup -n pyserial-%{version}


%build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --root=%{buildroot}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc CHANGES.txt LICENSE.txt README.txt
%{python_sitelib}/serial/*.py
%{python_sitelib}/serial/*.pyc
%ghost %{python_sitelib}/serial/*.pyo


%changelog
* Tue Feb 14 2006 Matthias Saou <http://freshrpms.net/> 2.2-1
- Initial RPM release.

